GET api/Order/GetOpenOrder?dtFrom={dtFrom}&dtTo={dtTo}
Get Open Order along with Order Lines
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| dtFrom | date |
None. |
|
| dtTo | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of Order| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| CreationDate | date |
None. |
|
| OrderNoOfDay | string |
Max length: 15 |
|
| TableId | integer |
None. |
|
| TableName | string |
Max length: 20 |
|
| CustomerId | globally unique identifier |
None. |
|
| Status | OrderStatus |
None. |
|
| Type | OrderType |
None. |
|
| PaymentStatus | PaymentStatus |
None. |
|
| Comments | string |
Max length: 500 |
|
| OrderComments | string |
Max length: 500 |
|
| InvoiceNumber | integer |
None. |
|
| InvoiceDate | date |
None. |
|
| InvoiceGenerated | boolean |
None. |
|
| UserId | string |
Max length: 36 |
|
| CheckOutUserId | string |
Max length: 36 |
|
| Bong | integer |
None. |
|
| TrainingMode | boolean |
None. |
|
| TerminalId | globally unique identifier |
None. |
|
| OutletId | globally unique identifier |
None. |
|
| SourceTerminalId | string |
Max length: 36 |
|
| CustomerInvoiceId | globally unique identifier |
None. |
|
| RoundedAmount | decimal number |
None. |
|
| OrderTotal | decimal number |
None. |
|
| IsGiftCardSale | boolean |
None. |
|
| OpenSynced | boolean |
None. |
|
| Synced | boolean |
None. |
|
| ServeFlowId | byte |
None. |
|
| ServeFlowStatus | byte |
None. |
|
| CategoryId | byte |
None. |
|
| DeliveryDate | date |
None. |
|
| EnableRUT | boolean |
None. |
|
| CustomerReferenceId | globally unique identifier |
None. |
|
| ExternalStatus | OrderExternalStatus |
None. |
|
| PerformaCount | byte |
None. |
|
| DeleteReason | string |
Max length: 50 |
|
| DiscountReason | string |
Max length: 50 |
|
| WaitForCourse | boolean |
None. |
|
| TableRecreated | boolean |
None. |
|
| ReturnRecreated | boolean |
None. |
|
| Updated | date |
None. |
|
| OrderState | string |
Max length: 20 |
|
| ServiceTypeCode | string |
Required Max length: 50 |
|
| PuckNumber | string |
Max length: 10 |
|
| GuestCount | integer |
None. |
|
| ChannelName | string |
Max length: 50 |
|
| PreviousServiceTypeCode | string |
Max length: 50 |
|
| OrderLines | Collection of OrderLine |
None. |
|
| Receipts | Collection of Receipt |
None. |
|
| Payments | Collection of Payment |
None. |
|
| RUTDiscount | decimal number |
None. |
|
| CustomerName | string |
None. |
|
| CustomerPhone | string |
None. |
|
| PrimaryContact | string |
None. |
|
| PrimaryPhone | string |
None. |
|
| PrimaryEmail | string |
None. |
|
| CustomerNo | string |
None. |
|
| string |
None. |
||
| CustomerAddress | string |
None. |
|
| CreatedBy | string |
None. |
|
| IsSelected | boolean |
None. |
|
| EmailSent | boolean |
None. |
|
| SentDate | date |
None. |
|
| DueDate | date |
None. |
|
| BalanceAmount | decimal number |
None. |
|
| SelectedTable | FoodTable |
None. |
|
| Receipt | Receipt |
None. |
|
| Customer | Customer |
None. |
|
| ShortComments | string |
None. |
|
| CartNumber | integer |
None. |
|
| SelecttedImagePath | string |
None. |
|
| ServeStatusColor | string |
None. |
|
| SumAmtString | string |
None. |
|
| OrderDirection | integer |
None. |
|
| BongNumber | string |
None. |
|
| BongComments | string |
None. |
|
| OutletCode | string |
None. |
|
| DefaultOrderType | string |
None. |
|
| KDSOrderType | integer |
None. |
|
| OrderStatusFromType | OrderStatus |
None. |
|
| PaidStatus | string |
None. |
|
| OrderNumber | string |
None. |
|
| ReceiptNumber | string |
None. |
|
| OrderType | OrderType |
None. |
|
| GrossAmount | decimal number |
None. |
|
| ComissionAmount | decimal number |
None. |
|
| NetAmount | decimal number |
None. |
|
| VatAmount | decimal number |
None. |
|
| PartialPaidAmount | decimal number |
None. |
|
| SelectEnable | boolean |
None. |
|
| CheckOutVisibility | boolean |
None. |
|
| RetryVisibility | boolean |
None. |
|
| ButtonVisibility | boolean |
None. |
|
| ReturnButtonVisibility | boolean |
None. |
|
| SendTicketToCustomer | boolean |
None. |
|
| IsReadyToPickup | boolean |
None. |
|
| IsWaitingToPickup | boolean |
None. |
|
| ShowReminder | boolean |
None. |
|
| ShowSMSWarning | boolean |
None. |
|
| ButtonRestoreVisibility | boolean |
None. |
|
| ButtonChangeCustomerVisibility | boolean |
None. |
|
| InvNumber | string |
None. |
|
| GiftCard | GiftCard |
None. |
|
| GiftCards | Collection of GiftCard |
None. |
|
| PaymentType | string |
None. |
|
| PaymentTypeId | integer |
None. |
|
| InProgress | boolean |
None. |
|
| ShowButtonOnOpenView | boolean |
None. |
|
| ShowButtonOnOpenViewInRestaurant | boolean |
None. |
|
| AskRUTCalled | boolean |
None. |
|
| OrderTickets | Collection of OrderTicket |
None. |
|
| KDSStatus | KDSStatus |
None. |
|
| KitchenStatus | OrderKitchenStatus |
None. |
|
| RecreateTableButton | boolean |
None. |
|
| TabNo | integer |
None. |
|
| ExportStatus | integer |
None. |
|
| ExportError | string |
None. |
|
| TipAmount | decimal number |
None. |
|
| ShowTabNo | boolean |
None. |
|
| TabNoHeight | integer |
None. |
|
| CurrentStatusText | string |
None. |
|
| FoodlyNumber | string |
None. |
|
| CommerceOrderFulfillment | CommerceOrderFulfillment |
None. |
|
| FoodlyOrder | FoodlyWaitingOrder |
None. |
|
| LogEnteries | Collection of Journal |
None. |
|
| DisableCheckoutTraceLog | boolean |
None. |
Response Formats
application/json, text/json
[
{
"$id": "1",
"Id": "209ce5e0-6228-4a23-9dbd-207425f703fa",
"CreationDate": "2026-11-04T13:38:06.110469+01:00",
"OrderNoOfDay": "sample string 3",
"TableId": 4,
"TableName": "sample string 5",
"CustomerId": "09ae1f8f-fec9-49ec-88e0-22c494c7750e",
"Status": 0,
"Type": 0,
"PaymentStatus": 0,
"Comments": "sample string 7",
"OrderComments": "sample string 8",
"InvoiceNumber": 9,
"InvoiceDate": "2026-11-04T13:38:06.110469+01:00",
"InvoiceGenerated": true,
"UserId": "sample string 11",
"CheckOutUserId": "sample string 12",
"Bong": 13,
"TrainingMode": true,
"TerminalId": "91fc1fe3-c15e-41ea-a482-76290c5d47f5",
"OutletId": "46f36fe6-fa77-4e80-a6de-2c559a42a395",
"SourceTerminalId": "sample string 17",
"CustomerInvoiceId": "b8ecbb47-9e30-4b41-a822-3aa6c8f4acd1",
"RoundedAmount": 18.0,
"OrderTotal": 19.0,
"IsGiftCardSale": true,
"OpenSynced": true,
"Synced": true,
"ServeFlowId": 64,
"ServeFlowStatus": 64,
"CategoryId": 64,
"DeliveryDate": "2026-11-04T13:38:06.110469+01:00",
"EnableRUT": true,
"CustomerReferenceId": "24b17590-8887-445f-ba4d-2c7e19b4848f",
"ExternalStatus": 0,
"PerformaCount": 64,
"DeleteReason": "sample string 29",
"DiscountReason": "sample string 30",
"WaitForCourse": true,
"TableRecreated": true,
"ReturnRecreated": true,
"Updated": "2026-11-04T13:38:06.110469+01:00",
"OrderState": "sample string 35",
"ServiceTypeCode": "sample string 36",
"PuckNumber": "sample string 37",
"GuestCount": 1,
"ChannelName": "sample string 38",
"PreviousServiceTypeCode": "sample string 39",
"OrderLines": [
{
"$id": "2",
"Id": "bf10afae-95d0-4087-88b0-6bdd568ce4b7",
"OrderId": "ff302b42-c989-4cee-b5d2-dbffeeb8f878",
"Order": {
"$ref": "1"
},
"ItemId": "bdd35beb-0f8e-4c1b-9b3d-aa883f789cf7",
"Product": {
"$id": "3",
"Id": "25103fb5-33e0-434c-acb4-efdc0bbcbb7d",
"Name": "sample string 2",
"SKU": "sample string 3",
"BarCode": "sample string 4",
"PLU": "sample string 5",
"GroupId": "a4ccaaff-2ff1-4d6b-862f-8ff109855f5a",
"SupplierId": "d9916b14-abec-499a-b898-a6cf0a08d8cb",
"SupplierSKU": "sample string 7",
"BrandId": 8,
"Description": "sample string 9",
"LongDescription": "sample string 10",
"BongTitle": "sample string 11",
"TextColor": "sample string 12",
"ColorCode": "sample string 13",
"IconId": 14,
"ShowItemButton": true,
"ShowGroupItem": true,
"Price": 17.0,
"PurchasePrice": 18.0,
"Tax": 19.0,
"Unit": 0,
"AskPrice": true,
"AskWeight": true,
"PriceLock": true,
"PrinterId": 23,
"PlaceHolder": true,
"AskVolume": true,
"NeedIngredient": true,
"Bong": true,
"Sticky": 28,
"Seamless": true,
"AccountingId": 30,
"ReceiptMethod": 0,
"ItemType": 0,
"DiscountAllowed": true,
"PreparationTime": 0,
"PrepMinutes": 1,
"IngredientPopup": true,
"DefaultCartQty": 33.0,
"SortOrder": 34,
"Active": true,
"Deleted": true,
"Weight": 37.0,
"Availability": true,
"ServeType": 64,
"Synced": true,
"DemandIdControl": true,
"Discontinued": true,
"AskPLU": true,
"NoticeStockLevel": 44.0,
"DefaultUnit": 0,
"ManageStock": 45,
"PriceRek": 46.0,
"CommentsRequired": true,
"TicketQty": 48,
"MinCartQty": 49.0,
"MinQtyAlert": 50.0,
"ComissionPercent": 51.0,
"PantPrice": 52.0,
"TrackAmount": true,
"SaleUnitSuffix": "sample string 54",
"QtyPerSaleUnit": 55.0,
"AutoClose": true,
"ButtonTitle": "sample string 57",
"SpecialSalesPrice": 1.0,
"SpecialSalesPriceValidFrom": "2026-11-04T13:38:06.110469+01:00",
"SpecialSalesPriceValidTo": "2026-11-04T13:38:06.110469+01:00",
"Draft": true,
"VatChangeBehavior": 0,
"ItemTypeUUID": "ea70f268-3515-408d-8cd6-625874dba0a2",
"ItemGroupUUID": "3b113dcc-7d4d-42e6-a262-6c111344d64e",
"ItemAttributeSetUUID": "452663d8-631e-4879-9c2d-7ecc50bc744c",
"BrandUUID": "f466d442-ee5d-4293-8a22-fc42a7a98585",
"TicketTemplateId": 1,
"OrderOptionType": 0,
"BestBeforeDays": 1,
"Created": "2026-11-04T13:38:06.110469+01:00",
"Updated": "2026-11-04T13:38:06.110469+01:00",
"UpdatedBy": "2d274c56-c5aa-4593-9492-8a6d1c80582d",
"CategoryId": 60,
"Campaign": {
"$id": "4",
"Id": "8fa81387-93d3-454c-938d-80a48c00107d",
"CampaignType": 0,
"DiscountBy": 0,
"BuyLimit": 2,
"FreeOffer": 3,
"Price": 4.0,
"DiscountQtyIncrement": 5,
"Description": "sample string 6",
"StartDate": "2026-11-04T13:38:06.110469+01:00",
"EndDate": "2026-11-04T13:38:06.110469+01:00",
"Deleted": true,
"Updated": "2026-11-04T13:38:06.110469+01:00",
"CampaignPriceDetails": [
{
"$id": "5",
"Id": "c9f59ea2-c99c-4eea-b3c3-1b5dc714ca03",
"CampaignId": "21b7cf51-09ba-43b0-902d-92178dc3a83c",
"Quantity": 3,
"PayPrice": 4.0,
"Deleted": true,
"Updated": "2026-11-04T13:38:06.110469+01:00"
},
{
"$ref": "5"
}
]
},
"ItemsTags": [
{
"$id": "6",
"Id": "1e0609f7-a513-40a8-a667-08b6cbd49dfe",
"TagId": "e3813d63-c8e4-4535-8492-f97ff5b440eb",
"ItemId": "99fb132d-c4d9-4869-b9fb-21d552e7fc50",
"Deleted": true,
"Synced": true,
"Updated": "2026-11-04T13:38:06.110469+01:00",
"TagName": "sample string 7"
},
{
"$ref": "6"
}
],
"ItemCampaign": {
"$id": "7",
"UUID": "c5c31851-34d3-470c-b26b-81d097c915d9",
"CampaignTypeId": "OPEN",
"Title": "sample string 2",
"DiscountBy": 1,
"FreeOffer": 1,
"BuyLimit": 1,
"StartDate": "2026-11-04T13:38:06.110469+01:00",
"EndDate": "2026-11-04T13:38:06.110469+01:00",
"PriceEach": 1.0,
"PriceTotal": 1.0,
"Grouped": true,
"CurrencyCode": "sample string 6",
"IncludesVat": true,
"CreatedAt": "2026-11-04T13:38:06.110469+01:00",
"CreatedByUUID": "sample string 9",
"UpdatedAt": "2026-11-04T13:38:06.110469+01:00",
"UpdatedByUUID": "sample string 10",
"DeletedAt": "2026-11-04T13:38:06.110469+01:00",
"DeletedByUUID": "sample string 11",
"Synced": true,
"ItemPrices": [
{
"$id": "8",
"UUID": "ac819f71-00c1-4301-8c4c-b5dbe17f62aa",
"PriceListUUID": "6be96455-1f2d-412d-8746-188fc9c6c00d",
"ItemGroupUUID": "05ed6132-8efb-46bd-b763-33b2b6751b6c",
"AgreementUUID": "369f7611-0628-4c55-92c6-4bab63f23541",
"CustomerGroupUUID": "4ab3e798-afe2-4db1-a9b6-1cab241d6ba0",
"CustomerUUID": "a13f79aa-2a1a-4985-9500-ac30e94f6dea",
"ProjectUUID": "bdbf41ee-ef9b-4d05-924d-fb59f9f483f4",
"CampaignUUID": "13ff5616-977b-4f89-9fd8-d4ee9c9c3fc6",
"ItemUUID": "7585b594-3ca0-463f-8eb3-b398b15e17fd",
"WildCardSKU": "sample string 4",
"MinQty": 1.0,
"MaxQty": 1.0,
"Price": 1.0,
"Percentage": 1.0,
"Type": "sample string 5",
"RegularPrice": true,
"PurchasePrice": 1.0,
"ValidFrom": "2026-11-04T13:38:06.110469+01:00",
"ValidTo": "2026-11-04T13:38:06.110469+01:00",
"CreatedAt": "2026-11-04T13:38:06.110469+01:00",
"CreatedByUUID": "sample string 8",
"UpdatedAt": "2026-11-04T13:38:06.110469+01:00",
"UpdatedByUUID": "sample string 9",
"DeletedAt": "2026-11-04T13:38:06.110469+01:00",
"DeletedByUUID": "sample string 10",
"Synced": true,
"ItemName": "sample string 12",
"CampaignTitle": "sample string 13"
},
{
"$ref": "8"
}
]
},
"HasPricePolicy": true,
"ItemCategory": [
{
"$id": "9",
"Id": 1,
"ItemId": "5264908f-7671-48ba-bbab-2e3914513f82",
"CategoryId": 3,
"SortOrder": 4,
"IsPrimary": true,
"CategoryBoostId": "sample string 6"
},
{
"$ref": "9"
}
],
"ItemIdex": 62,
"PolicyGroupId": 63,
"HasCampaign": true,
"Products": [
{
"$ref": "3"
},
{
"$ref": "3"
}
],
"ColorName": "sample string 64",
"Type": 65,
"ImagePath": "sample string 66",
"ImageVisibility": true,
"ifExists": "sample string 68",
"ProductPrices": [
{
"$id": "10",
"Id": 1,
"ItemId": "21a83c8a-c1c3-4ab8-881e-3a42420bd12b",
"PurchasePrice": 3.0,
"Price": 4.0,
"OutletId": "43a865a2-7641-44e1-92ce-f17da6bcba20",
"PriceMode": 0,
"Updated": "2026-11-04T13:38:06.110469+01:00"
},
{
"$ref": "10"
}
],
"Ingredients": [
{
"$ref": "3"
},
{
"$ref": "3"
}
],
"Variants": [
{
"$id": "11",
"Id": 1,
"ConfigurationId": "95b31996-8b74-4468-8c2a-84d14867670d",
"ItemId": "ab3fcbfc-99a5-4309-9bf1-730765ec1a50",
"SortOrder": 4,
"Deleted": true,
"Updated": "2026-11-04T13:38:06.110469+01:00"
},
{
"$ref": "11"
}
],
"ItemOption": [
{
"$id": "12",
"Id": "a9684e0e-bca0-40d7-9a2d-30bda8f81cf8",
"ItemOptionGroupId": "2a922623-9d9c-49c3-9d7c-dcf7dc729e7b",
"ItemId": "0499f645-8847-4db2-b9be-bbe25dbac187",
"CategoryId": 4,
"Active": true,
"Updated": "2026-11-04T13:38:06.110469+01:00"
},
{
"$ref": "12"
}
],
"ShowOnReceipt": true,
"QuickAdd": true,
"HasIngredients": true,
"HasVariants": true,
"HasOptions": true,
"CategoryItemGroups": [
{
"$id": "13",
"Id": "e864ca41-d2e8-4b2e-9556-70a701e6db9b",
"CategoryId": 2,
"GroupId": "faabe0c0-d53e-415a-8310-0432f961a588",
"Qty": 4.0,
"Price": 5.0,
"Deleted": true,
"SortOrder": 7,
"Updated": "2026-11-04T13:38:06.110469+01:00",
"Description": "sample string 9"
},
{
"$ref": "13"
}
],
"ItemPricePolicies": [
{
"$id": "14",
"Id": 1,
"ItemId": "44bdfca6-820c-47b0-b530-941d097e4e5a",
"BuyLimit": 3,
"DiscountAmount": 4.0,
"Active": true,
"Deleted": true,
"Updated": "2026-11-04T13:38:06.110469+01:00",
"PolicyId": 8
},
{
"$ref": "14"
}
],
"PriceGroupPolicies": [
{
"$id": "15",
"Id": 1,
"GroupId": 2,
"BuyLimit": 3,
"MaxLimit": 4,
"DiscountAmount": 5.0,
"TotalAmount": 6.0,
"Updated": "2026-11-04T13:38:06.110469+01:00"
},
{
"$ref": "15"
}
],
"Photo": "QEA=",
"GroupPrice": 72.0,
"ExternalId": "sample string 73",
"IngredientQty": 74.0,
"StockQty": 75.0,
"Attributes": "sample string 76",
"LocalStockNull": true,
"StockInitialCount": 78.0,
"Selected": true,
"ShowWarhouseStock": true,
"ShowStockQty": true,
"HideStockQty": false,
"IsRUT": true,
"NotSelected": true,
"IsInActive": true,
"CreatedBy": "sample string 84",
"TerminalId": "fa18f20c-e9e9-4b76-a588-0a66c5a6600f",
"CategoryName": "sample string 85",
"ShowCategoryName": true,
"DiscountedPrice": 86.0,
"Qty": 87.0,
"ConfigurationId": 88,
"ItemOptionId": "802bbaa7-ce5e-4776-a662-1fece16f3794",
"PriceAdd": 90.0,
"PriceRemove": 91.0,
"FreeQty": 92.0,
"MinQty": 93.0,
"MaxQty": 94.0,
"FirstItemSelected": true,
"OptionForOrderType": 0,
"PLUNumeric": 0,
"ScalePrice": 96.0,
"Files": [
{
"$id": "16",
"UUID": "cb81b6b1-d258-413e-8799-04035586353a",
"ParentUUID": "c596b29e-585b-4bdf-9a96-6343d66ae230",
"EntityUUID": "e94b9df9-c7ba-4223-94ef-8ee4ec880e71",
"EntityType": "sample string 3",
"ClientFilename": "sample string 4",
"ServerFilename": "sample string 5",
"ContentType": "sample string 6",
"ContentSubType": "sample string 7",
"FileSize": 8,
"Location": "sample string 9",
"Url": "sample string 10",
"ThumbnailUrl": "sample string 11",
"MetaData": "sample string 12",
"CreatedByUUID": "sample string 13",
"CreatedAt": "2026-11-04T13:38:06.110469+01:00",
"UpdatedAt": "2026-11-04T13:38:06.110469+01:00",
"UpdatedByUUID": "sample string 15",
"DeletedByUUID": "sample string 16",
"DeletedAt": "2026-11-04T13:38:06.110469+01:00",
"Synced": true
},
{
"$ref": "16"
}
],
"HasFile": true,
"ItemTypeText": "Individual",
"ItemUnitText": "Piece",
"LanguageTexts": [
{
"$id": "17",
"Id": "5d37a44e-943d-4cb5-8c2c-6d6ad43cfbd4",
"ItemId": "89e60e61-fafa-4633-b199-65a966443862",
"LanguageId": 3,
"Name": "sample string 4",
"ShortDescription": "sample string 5",
"LongDescription": "sample string 6",
"Updated": "2026-11-04T13:38:06.110469+01:00"
},
{
"$ref": "17"
}
],
"ItemAdditionalIdentifications": [
{
"$id": "18",
"UUID": "46d88e62-d118-4e8e-8028-9efb4eae6963",
"ItemUUID": "acf83c7b-abe3-4e8a-8d7c-806cd49db5ca",
"ItemInstanceUUID": "sample string 3",
"Identifier": "sample string 4",
"IdentifierSchemeId": "sample string 5",
"CreatedAt": "2026-11-04T13:38:06.110469+01:00",
"CreatedByUUID": "sample string 7",
"UpdatedAt": "2026-11-04T13:38:06.110469+01:00",
"updatedByUUID": "sample string 8"
},
{
"$ref": "18"
}
],
"IsManageStock": false,
"PriceExlTax": 20.23,
"IndexId": 97,
"IsSelected": true,
"HideQuantityUnit": true
},
"Quantity": 4.0,
"DiscountedUnitPrice": 5.0,
"PurchasePrice": 6.0,
"ItemDiscount": 7.0,
"TaxPercent": 8.0,
"Active": 64,
"ItemComments": "sample string 10",
"UnitPrice": 11.0,
"DiscountPercentage": 12.0,
"ItemStatus": 64,
"IsCoupon": 64,
"Direction": 15,
"DiscountType": 0,
"DiscountDescription": "sample string 16",
"ItemType": 0,
"GroupId": "84df7897-862e-408d-821f-05ac9adb984d",
"GroupKey": "6ee5b385-70a5-4c28-a722-e3ca70e44b6e",
"IngredientMode": "sample string 18",
"IngredientQty": 19.0,
"ItemUnit": 0,
"ShowOnReceipt": true,
"ServeType": 64,
"BongNo": 22,
"AddedOrder": 64,
"IsRUT": true,
"PrinterId": 25,
"ComissionPercent": 26.0,
"PantPrice": 27.0,
"HideQuantityUnit": true,
"BasePrice": 29.0,
"PreparationTime": 0,
"OutletId": "0c948d90-cfd4-449e-9c64-c14e4822aafa",
"QuickAdd": true,
"IsDefaultIngredient": true,
"ItemStatusText": "Ready",
"ItemStatusColor": "#FFD89778",
"KDSItemStatusColor": "#FFD89778",
"IsReadyToServe": true,
"EnableReadyToServe": false,
"IngredientCartQty": "4x19",
"OrderComments": "sample string 34",
"OrderDate": "2026-11-04T13:38:06.110469+01:00",
"InvoiceDate": "2026-11-04T13:38:06.110469+01:00",
"IsOrderComment": true,
"ServeTypeName": "sample string 37",
"ServeStatusColor": "sample string 38",
"ServeStatusVisibility": true,
"CampignIndex": 40,
"BorderColor": "sample string 41",
"BackColor": "sample string 42",
"ForeColor": "sample string 43",
"ButtonTag": 44,
"StatusColor": "#FFFFFFFF",
"IsValid": false,
"ItemDetails": [
{
"$ref": "2"
},
{
"$ref": "2"
}
],
"IngredientItems": [
{
"$ref": "2"
},
{
"$ref": "2"
}
],
"CampaignId": "17644e0f-d337-49e2-bc4a-16eb26b20b17",
"HasGroupItems": false,
"GrossTotal": 660.0,
"GrossDiscountTotal": -153.0,
"IngredientTotal": -102.0,
"ShowButton": false,
"ItemName": "sample string 2",
"UpdateColorName": 64,
"VAT": 0.98222222222222222,
"ItemTotalDiscount": 21.0,
"ItemTotalDiscountDisplay": -21.0,
"DiscountVisibility": true,
"ComissionVisibility": true,
"ItemDiscountDisplay": -7.0,
"DiscountSignVisibility": true,
"IngredientListVisibility": true,
"RecieptQtyVisibility": true,
"StatusVisibility": false,
"QtyVisibility": true,
"GroupQtyVisibility": true,
"IngredientVisibility": true,
"imagePath": "/LuqonRetail;component/images/minusQty.png",
"IsSelected": true,
"SelecttedImagePath": "/LuqonRetail;component/images/selecteditem.png",
"CampaignApplied": true,
"DisableCampaignApplied": true,
"CampaignAppliedVisibility": false,
"RewardApplied": true,
"CartQty": "4",
"RecieptQty": "4.00",
"HasIngredients": true,
"ReceiptItems": [
{
"$id": "19",
"ContentGuid": "b1e5a6cf-1e27-4aa5-8fd5-9dee8c50770b",
"Extra": true,
"Strip": true,
"Text": "sample string 4",
"Price": 5.0,
"VAT": 6.0,
"Quantity": 7,
"Direction": "+"
},
{
"$ref": "19"
}
],
"ItemIdex": 49,
"BIDSNO": 50,
"Percentage": 51.0,
"OrderType": 0,
"BIDS": "sample string 52",
"Category": "sample string 53",
"Description": "sample string 54",
"MoveQuantity": 55.0,
"SortOrder": 56,
"InWait": true,
"DetailItemsVisiblity": true,
"DisplayTotal": "sample string 59",
"GiftCardNo": "sample string 60",
"AddedAt": "2026-11-04T13:38:06.110469+01:00",
"DisplayQty": "sample string 62",
"HideButton": true,
"ItemNameWidth": 64,
"LineHeight": 25,
"ButtonVisibility": false,
"BarcodeStartWith20": false,
"DeleteButtonVisibility": true,
"CommentVisibility": true,
"MarkReadyVisibility": true,
"CartFontSize": 66,
"IngredeintComment": "sample string 67",
"IngredeintModeVisibility": false,
"IngredeintCommentVisibility": true,
"PantPriceVisibility": true,
"TotalPantPrice": 108.0,
"ItemDescription": "sample string 68",
"OnlyPriceVisibility": true,
"DiscountJournalEntery": {
"$id": "20",
"Id": 1,
"UserId": "sample string 2",
"OrderId": "285f5904-1496-4aa6-bb01-85007d96c2ed",
"ItemId": "732112bc-06d9-41c7-860d-124be93367e4",
"TableId": 1,
"ActionId": 3,
"Created": "2026-11-04T13:38:06.110469+01:00",
"LogMessage": "sample string 5",
"Synced": true,
"Action": "sample string 7",
"UserName": "sample string 8"
},
"PriceExlTax": 4.63,
"PurchasePriceExlTax": 5.56
},
{
"$ref": "2"
}
],
"Receipts": [
{
"$id": "21",
"ReceiptId": "7c92d371-da7c-46aa-a258-66c2f8fd9ea5",
"TerminalId": "e6995e2f-4262-4e0a-a75a-428e5102ce67",
"TerminalNo": 64,
"ReceiptNumber": 4,
"OrderId": "938b4ce2-4c61-462e-b14a-ff0a2bd1e6b0",
"Order": {
"$ref": "1"
},
"ReceiptCopies": 64,
"GrossAmount": 7.0,
"VatAmount": 8.0,
"VatDetail": "sample string 9",
"PrintDate": "2026-11-04T13:38:06.110469+01:00",
"ControlUnitName": "sample string 11",
"ControlUnitCode": "sample string 12",
"CustomerPaymentReceipt": "sample string 13",
"MerchantPaymentReceipt": "sample string 14",
"IsSignature": true,
"VatDetails": null,
"NegativeAmount": 16.0,
"RoundedAmount": 17.0,
"CLEAN_CASH_ERROR": "sample string 18"
},
{
"$ref": "21"
}
],
"Payments": [
{
"$id": "22",
"Id": "35d530a2-97ab-4470-bd59-75841fa2530a",
"OrderId": "52b24419-c5a8-4359-b423-60ae8f7ce08d",
"Order": {
"$ref": "1"
},
"TypeId": 64,
"PaidAmount": 4.0,
"ReturnAmount": 5.0,
"PaymentDate": "2026-11-04T13:38:06.110469+01:00",
"PaymentRef": "sample string 7",
"CreditCardNo": "sample string 8",
"CashCollected": 9.0,
"CashChange": 10.0,
"IsCashSaleDropped": 64,
"Direction": 12,
"ProductName": "sample string 13",
"DeviceTotal": 14.0,
"TypeName": "sample string 15"
},
{
"$ref": "22"
}
],
"RUTDiscount": 40.0,
"CustomerName": "sample string 41",
"CustomerPhone": "sample string 42",
"PrimaryContact": "sample string 43",
"PrimaryPhone": "sample string 44",
"PrimaryEmail": "sample string 45",
"CustomerNo": "sample string 46",
"Email": "sample string 47",
"CustomerAddress": "sample string 48",
"CreatedBy": "sample string 49",
"IsSelected": true,
"EmailSent": true,
"SentDate": "2026-11-04T13:38:06.110469+01:00",
"DueDate": "2026-11-04T13:38:06.110469+01:00",
"BalanceAmount": 52.0,
"SelectedTable": {
"$id": "23",
"Id": 1,
"Name": "sample string 2",
"FloorId": 3,
"Floor": {
"$id": "24",
"Id": 1,
"Name": "sample string 2",
"LayoutImage": "QEA=",
"Updated": "2026-11-04T13:38:06.110469+01:00",
"Tables": [
{
"$ref": "23"
},
{
"$ref": "23"
}
]
},
"PositionX": 4,
"PositionY": 5,
"Height": 6,
"Width": 7,
"Chairs": 8,
"Status": 0,
"ImageUrl": "sample string 9",
"ColorCode": "sample string 10",
"ServeStatus": 11,
"SortOrder": 12,
"LockedByTerminal": "fc8f81d3-9832-496a-8a6e-8ecf270c21b7",
"Updated": "2026-11-04T13:38:06.110469+01:00",
"OrderCount": 15,
"OrderTotal": 16.0,
"FloorName": "sample string 17",
"PerformaPrinted": true,
"TableComments": "sample string 19",
"OrderTime": "sample string 20",
"Orders": [
{
"$ref": "1"
},
{
"$ref": "1"
}
]
},
"Receipt": {
"$ref": "21"
},
"Customer": {
"$id": "25",
"Id": "4b0ced25-c8e3-4ba3-a4f8-a45658886bac",
"ParentId": "66fe0532-3c8f-4bab-ae78-648340843a83",
"Name": "sample string 2",
"OrgNo": "sample string 3",
"Address1": "sample string 4",
"Address2": "sample string 5",
"FloorNo": 6,
"PortCode": "sample string 7",
"CustomerNo": "sample string 8",
"City": "sample string 9",
"Phone": "sample string 10",
"Email": "sample string 11",
"ZipCode": "sample string 12",
"Reference": "sample string 13",
"DirectPrint": true,
"VehicleId": 15,
"CommunicationTypeId": 16,
"Active": true,
"Synced": true,
"EnableRUT": true,
"RUTDisallowedUntil": "2026-11-04T13:38:06.110469+01:00",
"CustomerType": 0,
"PrimaryName": "sample string 20",
"PrimaryPhone": "sample string 21",
"PrimaryEmail": "sample string 22",
"SendReceipt": true,
"InstructionAlert": true,
"Instructions": "sample string 25",
"PaymentMethod": 0,
"DeliveryMethod": 0,
"Created": "2026-11-04T13:38:06.110469+01:00",
"Updated": "2026-11-04T13:38:06.110469+01:00",
"UpdatedBy": "99b78d3b-f880-489d-872b-c22416dd4921",
"PriceListId": "cb757dbf-4089-434c-9dfd-9d161f97f9e6",
"Customer_CustomField": [
{
"$id": "26",
"Id": "3c7bacb7-ff82-46bd-b2de-8f5a58821742",
"FieldId": "54f3c9bc-4aa6-4c6a-819e-e580b155bf6a",
"CustomerCustomField": {
"$id": "27",
"Id": "0df4aa15-d94e-4e42-87e8-cb64484f3416",
"Caption": "sample string 2",
"SortOrder": 3
},
"CustomerId": "9697765a-82cd-4c23-921e-e1f4dfcff7a2",
"Customer": {
"$ref": "25"
},
"Caption": "sample string 4",
"Text": "sample string 5",
"SortOrder": 6,
"Updated": "2026-11-04T13:38:06.110469+01:00"
},
{
"$ref": "26"
}
],
"DiscountGroupId": "dd0a1017-75a8-4d88-8cc9-c252fe7808cc",
"OrgNumber": "sample string 3",
"CustomerName": "sample string 2",
"Address": "sample string 4, sample string 12, sample string 9",
"PrimaryContacts": [
{
"$ref": "25"
},
{
"$ref": "25"
}
],
"ContactReference": "sample string 30",
"DiscountGroup": {
"$id": "28",
"DiscountId": "3347913c-954a-46f9-9a38-f7cb437bf0c0",
"Title": "sample string 2",
"Discount": 3.0,
"Created": "2026-11-04T13:38:06.110469+01:00",
"Updated": "2026-11-04T13:38:06.110469+01:00",
"Description": "sample string 6"
},
"Parent": {
"$ref": "25"
},
"ShowEdit": true,
"GiftCard": {
"$id": "29",
"CardId": "3200dfde-5834-49f7-b3d8-315c957cc8e4",
"CardNumber": "sample string 2",
"AddedAmount": 3.0,
"Balance": 4.0,
"CustomerId": "7a992902-f09b-4b7a-b23a-dea184ed543c",
"Title": "sample string 6",
"ValidFrom": "2026-11-04T13:38:06.110469+01:00",
"ValidTo": "2026-11-04T13:38:06.110469+01:00",
"Active": true,
"Updated": "2026-11-04T13:38:06.110469+01:00",
"CardType": 0,
"UniqueCode": "sample string 11",
"Synced": true,
"Status": "Aktiva",
"UsedAmount": -1.0,
"CustomerDiscount": 13.0,
"CustomerName": "sample string 14",
"SeasonTicket": {
"$id": "30",
"Id": "04a0a400-03d6-4f3b-a83e-58398641026f",
"CustomerId": "1dad9f3d-c4de-493c-ac43-c05c53faeba6",
"ExpiryDate": "2026-11-04T13:38:06.110469+01:00",
"Active": true,
"Synced": true,
"CustomerName": "sample string 6"
},
"OrderId": "18a23aaa-2d49-443b-a951-b68f62d3b597",
"NewAmount": 16.0,
"VehicleId": 17,
"OutletName": "sample string 18"
}
},
"ShortComments": "sample string 53",
"CartNumber": 54,
"SelecttedImagePath": "/images/selecteditem.png",
"ServeStatusColor": "sample string 55",
"SumAmtString": "19",
"OrderDirection": 1,
"BongNumber": "sample string 56",
"BongComments": "sample string 57",
"OutletCode": "sample string 58",
"DefaultOrderType": "sample string 59",
"KDSOrderType": 60,
"OrderStatusFromType": 3,
"PaidStatus": "Delbetald",
"OrderNumber": "209ce5e0-6228-4a23-9dbd-207425f703fa",
"ReceiptNumber": "9",
"OrderType": 0,
"GrossAmount": -40.0,
"ComissionAmount": 0.0,
"NetAmount": 0.0,
"VatAmount": 0.0,
"PartialPaidAmount": 61.0,
"SelectEnable": false,
"CheckOutVisibility": true,
"RetryVisibility": false,
"ButtonVisibility": false,
"ReturnButtonVisibility": false,
"SendTicketToCustomer": true,
"IsReadyToPickup": true,
"IsWaitingToPickup": true,
"ShowReminder": true,
"ShowSMSWarning": true,
"ButtonRestoreVisibility": false,
"ButtonChangeCustomerVisibility": false,
"InvNumber": "sample string 67",
"GiftCard": {
"$ref": "29"
},
"GiftCards": [
{
"$ref": "29"
},
{
"$ref": "29"
}
],
"PaymentType": "sample string 68",
"PaymentTypeId": 69,
"InProgress": true,
"ShowButtonOnOpenView": false,
"ShowButtonOnOpenViewInRestaurant": true,
"AskRUTCalled": true,
"OrderTickets": [
{
"$id": "31",
"Id": "4c13ae12-872a-4c61-bf82-af9aed5a110e",
"OrderId": "91645044-05f8-42c3-97c7-70a36e8918e6",
"TicketNo": 3,
"BongNo": 4,
"TableId": 5,
"Comments": "sample string 6",
"CreatedBy": "sample string 7",
"CreatedAt": "2026-11-04T13:38:06.110469+01:00",
"OrderTicketItems": [
{
"$id": "32",
"Id": "afa6cc51-6a49-4d51-b5c0-028d28a24be6",
"TicketId": "26fd5432-60e9-4bb4-b62f-99759363237f",
"OrderTicket": {
"$ref": "31"
},
"ItemId": "66ce9e6d-2355-4ae2-82e0-c75c2d73ec73",
"Quantity": 4.0,
"Comments": "sample string 5",
"PrinterId": 6
},
{
"$ref": "32"
}
]
},
{
"$ref": "31"
}
],
"KDSStatus": 0,
"KitchenStatus": 0,
"RecreateTableButton": true,
"TabNo": 74,
"ExportStatus": 75,
"ExportError": "sample string 76",
"TipAmount": 77.0,
"ShowTabNo": true,
"TabNoHeight": 25,
"CurrentStatusText": "sample string 79",
"FoodlyNumber": "sample string 80",
"CommerceOrderFulfillment": {
"$id": "33",
"Id": "fd9a202d-bf15-46dc-8991-8161d5065ab3",
"OrderId": "491943eb-3727-4c74-acd7-65d673054259",
"FulfillmentTypeCode": "sample string 3",
"PromisedAt": "2026-11-04T13:38:06.110469+01:00",
"PromisedDurationMinutes": 4,
"EstimatedReadyAt": "2026-11-04T13:38:06.110469+01:00"
},
"FoodlyOrder": {
"$id": "34",
"Id": "6e0bff7d-8c9f-40fc-a74b-df426bd13c23",
"FoodlyId": 2,
"NIMPOSId": "b5c10fa9-5530-4866-8544-db1283ece056",
"Json": "sample string 4",
"DeliveryRequestedOn": "2026-11-04T13:38:06.110469+01:00",
"PromisedDurationMinutes": 6,
"SendTokitchen": true
},
"LogEnteries": [
{
"$ref": "20"
},
{
"$ref": "20"
}
],
"DisableCheckoutTraceLog": true
},
{
"$ref": "1"
}
]